Package Details: sddm-nordic-theme-git 2.2.0.r2.g59251a3-1

Git Clone URL: https://aur.archlinux.org/nordic-kde-git.git (read-only, click to copy)
Package Base: nordic-kde-git
Description: Nordic theme for SDDM
Upstream URL: https://github.com/EliverLara/Nordic
Licenses: GPL3
Provides: sddm-nordic-theme
Submitter: alevalv
Maintainer: alevalv
Last Packager: alevalv
Votes: 9
Popularity: 0.27
First Submitted: 2020-01-21 00:32 (UTC)
Last Updated: 2022-06-28 15:57 (UTC)

Latest Comments

abcfy2 commented on 2022-01-29 14:12 (UTC)

No cursor theme? I find Nordic contains cursor theme, but this AUR seems not build this.

sebtiz13 commented on 2022-01-11 19:09 (UTC)

Hello from November 21, 2021, EliverLara has add KDE Darker theme support, it's available in darker branch in Nordic-kde repository.

So since the darker theme is supported this therefore causes a reference error when you want to use the global darker theme. I have explain this problem in this issues https://github.com/EliverLara/Nordic/issues/184

ringo commented on 2021-11-04 07:19 (UTC) (edited on 2021-11-04 07:21 (UTC) by ringo)

Can't build the last devel changes using yay. I get this error.

==> Starting prepare()...
/home/ringo/.cache/yay/nordic-kde-git/PKGBUILD: line 24: /home/ringo/.cache/yay/nordic-kde-git/src/Nordic/kde/look-and-feel/metadata.desktop: No such file or directory
==> ERROR: A failure occurred in prepare().
    Aborting...
 -> error making: nordic-kde-git (kvantum-theme-nordic-git)

Seems like the PKGBUILD needs to be modified for version 2.0.0.r23.g88f1704-1

langfingaz commented on 2021-05-14 11:36 (UTC)

When using the Nordic theme in sddm without Plasma5 installed (e.g. when using XFCE4), then the followng error is displayed:

Main.qml:28:1: module "org.kde.plasma.extras" is not installed

It can be resolved by installing plasma-framework which I propose to include in the depends array.

Apart from this, the error Property battery not found (or similar) is raised by /usr/share/sddm/themes/Nordic/Main.qml. I uncommented the line containting "Battery {}" in that file to make the theme work. I'm not sure which missing dependency is causing this error. Do you think I should ask this upstream?

petercxy commented on 2021-02-03 00:58 (UTC)

Looks like the KWin decoration (Aurorae) theme is not installed properly: it is installed to /usr/share/aurorae/Nordic, which does not work; the correct path should be /usr/share/aurorae/themes/Nordic.

@@ -32,7 +32,8 @@ package_nordic-kde-git() {

     cd ${_pkgbase}/kde
     install -d "${pkgdir}"/usr/share
-    cp -r aurorae "${pkgdir}"/usr/share
+    install -d "${pkgdir}"/usr/share/aurorae/themes
+    cp -r aurorae/Nordic "${pkgdir}"/usr/share/aurorae/themes
     mkdir -p "${pkgdir}"/usr/share/color-schemes
     cp -r colorschemes/* "${pkgdir}"/usr/share/color-schemes
     cp -r konsole "${pkgdir}"/usr/shar

dude commented on 2021-01-08 01:10 (UTC)

Can you add 'git' to makedepends please? Build fails without it.

https://wiki.archlinux.org/index.php/VCS_package_guidelines#Guidelines